org.apache.commons.math3.stat.regression

## Class ModelSpecificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.stat.regression.ModelSpecificationException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class ModelSpecificationException
    extends MathIllegalArgumentException

Exception thrown when a regression model is not correctly specified.

Since:
  3.0
Version:
  $Id: ModelSpecificationException.java 1244107 2012-02-14 16:17:55Z erans $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`ModelSpecificationException(Localizable pattern, Object... args)`

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### ModelSpecificationException

    public ModelSpecificationException(Localizable pattern,
                               Object... args)

Parameters:
  `pattern` - message pattern describing the specification error.
  `args` - arguments.